View Single Post
tamam_tamam
New Member
Join Date: Apr 2020
Location: nope
Old 04-09-2020 , 15:52   Re: Choosing the right branch of hl2sdk and MetaMod
Reply With Quote #3

Quote:
Originally Posted by asherkin View Post

CS 1.6 uses the GoldSrc engine, not the Source engine, so it does not use any version of the HL2SDK or Metamod:Source.

The HL2SDK branches are named after the engine version they're for, so hl2sdk-cstrike for CS:S and hl2sdk-csgo for CS:GO.

The MM:S branches are named after the MM:S version they're for, so you'd compile a MM:S plugin against the branch for whatever version of MM:S you have running on the server.

For GoldSrc games like CS1.6 you would need to look into the HLSDK and Metamod / AMXModX.
Thank you so much @asherkin, it was great point that i didn't know!
tamam_tamam is offline